import React from 'react';
import { Tabs, Checkbox, Button } from 'antd';

import Account from './account.jsx';
import GroupAccount from './groupAccount.jsx';

const LoginContent = React.createClass({
    getInitialState() {
        return {
            buttonDisable: true
        };
    },
    countDown() {
        let interval = setInterval(function () {
            _me.setState({
                buttonDisable: false
            });
            clearInterval(interval);
        }, 10);
        let i = 9;
        let countDown = setInterval(function () {
            _me.setState({
                buttonText: '(剩余' + i + '秒)'
            });
            i--;
            if (i == 0) {
                clearInterval(countDown);
                _me.setState({
                    buttonText: ''
                });
            };
        }, 1000);
    },
    componentWillMount() {
        this.countDown();
    },
    render() {
        const TabPane = Tabs.TabPane;
        return (
            <div>
                <div className="signIn-text">
                    <div className="signIn-text-box">
                        <h3>免责声明DISCLAIMER</h3>
                        <div>本服务条款的效力范围及于技淘网（www.jishutao.com）的一切产品和服务，用户在享受技淘网的任的一切产品和服务，用户在享受技淘网的任何单项服务时，应当受本服务条款的约束。用户通过进入注册程序并勾选"我已阅读并同意《技淘网用户注册协议》"，即表示用户与技淘网已达成协议，自愿接受本服务条款的所有内容。当用户使用技淘网各单项服务时，用户的使用行为视为其对该单项服务的服务条款以及技淘网在该单项服务中发出的各类公告的同意。</div>
                        <h4>一、版权</h4>
                        <div>湖南科德信息咨询有限公司独立拥有技淘网相关网页内所有资料的版权，或与技淘网网站相关网页内的资料提供者共同拥有该网页内资料的版权。技淘网为湖南科德信息咨询有限公司的注册商标，受中国及国际版权法的保护。文本、图形、 LOGO商标或标识都是湖南科德信息咨询有限公司的商品及服务商标和商号。</div>
                        <h4>二、网站使用</h4>
                        <div>技淘网及其任何组成部分不得被再造、复制、抄袭、交易，或为任何未经技淘网允许的商业目的所使用。如果技淘网确定对方行为违法或有损其网站和企业的利益，则技淘网和其关联企业将保留依法追究法律责任的权利。</div>
                        <h4>三、账户信息</h4>
                        <div>
                            <p>考虑到技淘网产品服务的重要性，用户同意：</p>
                            <p>1、 提供完整、真实、准确、最新的个人或机构资料，在帐号头像、昵称及注册信息中不得出现违法违规信息，所有原始键入的资料将引用为注册资料。</p>
                            <p>2、本网站保留对于用户昵称的审核权。如技淘网认为用户昵称出现有悖于社会公德、违反公序良俗、损害社会及他人利益的词语，技淘网有权对该用户昵称予以修改、标注或者禁止使用。</p>
                            <p>3、用户一旦注册成为技淘网的会员用户，技淘网将通过电子邮件或短信不定期地向用户提供科技、泛财经及新产品方面的信息和服务，用户将同意接受此类商业性电子信息。</p>
                            <p>4、如用户提供的资料不准确，不真实，不合法有效，本网保留结束用户使用技淘网各项服务的权利。</p>
                            <p>5、当您注册成功成为用户，您将得到一个密码和帐号。如果您未保管好自己的帐号和密码而对您、技淘网或第三方造成的损害，您将负全部责任。用户同意，若发现第三人非法使用您的用户帐号或账号存在安全漏洞的情况，立即通告本网站。</p>
                        </div>
                        <h4>四、用户评论</h4>
                        <div>技淘网允许访问客户将其对产品的评论在技淘网上发表个性化意见。如果您在本网站上发表评论，您即授权技淘网和他的关联企业在世界范围内的任何媒体上去使用、重新加工、修改、采用、出版、翻译、派生、分发及播出该评论的权利。您同时授权技淘网和他的关联企业授权使用者可以引用您发表评论时的署名，并可以附您发表的评论。</div>
                        <h4>五、网站链接</h4>
                        <div>技淘网上的链接服务可以直接进入其他站点，这些链接的站点不受技淘网的控制，技淘网对任何与本站链接网站的内容不负法律责任。</div>
                        <h4>六、网址安全规则</h4>
                        <div>
                            <p>禁止使用者破坏或企图破坏技淘网的安全规则，其中包括但不限于：</p>
                            <p>1、接触未经许可的数据或进入未经许可的服务器或帐户；</p>
                            <p>2、没有得到许可，企图探查，扫描或测试系统或网络的弱点，或者破坏安全措施；</p>
                            <p>3、企图干涉对用户及网络的服务，包括，并不限于，通过超载， "邮件炸弹"或"摧毁"等手段；</p>
                            <p>4、发送促销，产品广告及服务的E-mail；</p>
                            <p>5、伪造TCP/IP数据包名称或部分名称，破坏系统或网络可能导致犯罪, 技淘网将予以追究责任。</p>
                        </div>
                        <h4>七、操作规则</h4>
                        <div></div>
                    </div>
                    <div className="signIn-text-button"></div>
                    <Checkbox onChange={(e) => { this.state.checked = e; }}>我同意{buttonText}</Checkbox>
                    <Button type="primary" disabled={this.state.buttonDisable}>下一步</Button>
                </div>
                <Tabs type="card" defaultActiveKey="1" className="signIn-form">
                    <TabPane tab="个人注册" key="1">
                        <Account />
                    </TabPane>
                    <TabPane tab="团体注册" key="2" className="tabtwo">
                        <GroupAccount />
                    </TabPane>
                </Tabs>
            </div>
        );
    },
});


export default LoginContent;